Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005543 [JEDI VCL] 00 JVCL Components major always 2011-04-04 04:14 2011-09-21 14:10
Reporter Dave Smith View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version 3.38
Summary 0005543: JVCL338CompleteJCL201-Build3449 -JVDBGrid using official "good" BDE version 5.02.
Description due to the following bug in BDE, reported in Delphi BDE Bug list:
"Requesting the OldValue property of a Field throws an exception."

using an external inplace editor (combo DBLookup control), when I press ESCAPE to cancel editing, it throws exception: 'Not in cached update mode'. I have found the offending line of code in JVDBGrid.pas, and included some text from above web site, which I have verified as a problem above. It is always reproducible.
See included txt file for details.
Additional Information
Tags No tags attached.
Attached Files ? file icon bug in JVDBGrid.pas [^] (3,235 bytes) 2011-04-04 04:14

- Relationships

-  Notes
(0018619)
obones (administrator)
2011-06-07 17:51

Please provide the zipped sources of a sample application showing this
(0018644)
Dave Smith (reporter)
2011-06-07 19:18

the project contains several custom components and would not compile on your system. I do not have time right now to dissect my custom controls out of the project and bundle it up for this request.

   However, I applied the 2nd suggestion (below) in my source code, recompiled, and it fixed the problem:
 
Suggestion from "the Delphi Bug list":

    Enclose the code that utilizes the OldValue property of a field in a try-except block
OR
check if the 'State' property of the DataSet is dsEdit before attempting to get the OldValue of a field. <--- this worked good in my JVCL
(0018741)
AHUser (developer)
2011-06-11 12:28

Fixed in svn revision 13062.

- Issue History
Date Modified Username Field Change
2011-04-04 04:14 Dave Smith New Issue
2011-04-04 04:14 Dave Smith File Added: bug in JVDBGrid.pas
2011-06-07 17:51 obones Note Added: 0018619
2011-06-07 17:51 obones Status new => feedback
2011-06-07 19:18 Dave Smith Note Added: 0018644
2011-06-11 12:28 AHUser Note Added: 0018741
2011-06-11 12:28 AHUser Status feedback => resolved
2011-06-11 12:28 AHUser Fixed in Version => Daily / SVN
2011-06-11 12:28 AHUser Resolution open => fixed
2011-06-11 12:28 AHUser Assigned To => AHUser
2011-09-21 14:10 obones Fixed in Version Daily / SVN => 3.45


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker